Skip to content

Create Api Key

POST
/api/v1/admin/keys

Create an admin API key and return the raw key once.

X-Admin-Key
Any of:
string
X-Admin-API-Key
Any of:
string
ApiKeyCreate

Payload for creating an admin API key.

object
expires_at
Any of:
string format: date-time
name
required
Name
string
>= 1 characters <= 100 characters
project_id
Any of:
string format: uuid
scopes
Scopes
Array<string>
<= 50 items

Successful Response

ApiKeyCreateResponse

Created admin API key response; raw key is shown once.

object
api_key
required
Api Key
string
created_by
Any of:
string
expires_at
required
Any of:
string format: date-time
id
required
Id
string format: uuid
masked_key
required
Masked Key
string
name
required
Name
string
project_id
required
Any of:
string format: uuid
scopes
Scopes
Array<string>

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string